<?php
	$id = $_GET["id"];
	
	$hoy = date("Y-m-d H:i:s");


	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["actividad"] != ""){

		if($_POST["id_registro"] != ""){
			if($_FILES['archivo']["name"] != ""){
				include("controllers/subir_documento.php");
				$archivo = Subir_Documento($_FILES['archivo']);	
				mysqli_query($connect,"UPDATE Conferencistas SET foto = '".$archivo."' WHERE id = '".$_POST["id_registro"]."'  ");
			}
			
			mysqli_query($connect,"UPDATE Agenda SET fecha = '".$_POST["fecha"]."', dia = '".$_POST["dia"]."', hora_inicia = '".$_POST["hora_inicia"]."', 
			hora_termina = '".$_POST["hora_termina"]."', 
			actividad = '".$_POST["actividad"]."', exponentes = '".$_POST["exponentes"]."', participantes = '".$_POST["participantes"]."', tipo = '".$_POST["tipo"]."', estado = '".$_POST["estado"]."', evidencias = '".$_POST["evidencias"]."' WHERE id = '".$_POST["id_registro"]."'  ");
		}
		else{
			include("controllers/subir_documento.php");
			$archivo = Subir_Documento($_FILES['archivo']);			
			
			mysqli_query($connect,"INSERT INTO Agenda (id_evento, fecha, dia, hora_inicia, hora_termina, actividad, exponentes, participantes, tipo, conferencistas, estado, evidencias, created_at ) 
			VALUES 
			( '1', '".$_POST["fecha"]."', '".$_POST["dia"]."', '".$_POST["hora_inicia"]."', '".$_POST["hora_termina"]."', '".$_POST["actividad"]."', '".$_POST["exponentes"]."', '".$_POST["participantes"]."', '".$_POST["tipo"]."', '[]', '".$_POST["estado"]."', '".$_POST["evidencias"]."', '".$hoy."' ) ");
		}
		echo '<script>window.location = "?pg=agenda";</script>';//para evitar reinsersion
	}


	if( $_POST["conferencista"] != "" ){
		$queryTmp = mysqli_query($connect,"SELECT * FROM Agenda WHERE id = '".$id."' ");
		$dataTmp = mysqli_fetch_array($queryTmp);
		
		$conferencistas = json_decode( $dataTmp["conferencistas"] );
		array_push( $conferencistas, $_POST["conferencista"] );
		$conferencistas = json_encode($conferencistas);
		
		mysqli_query($connect,"UPDATE Agenda SET conferencistas = '".$conferencistas."' WHERE id = '".$id."' ");

		
	}
	
	
	//INFORMACION DE LA BATERIA
	$query = mysqli_query($connect,"SELECT * FROM Agenda WHERE id = '".$id."' ");
	$data = mysqli_fetch_array($query);
	
?>





<?php echo $respuesta; ?>

<div class="container-fluid">
	
	<nav aria-label="breadcrumb" style=" margin-top: 10px; margin-bottom: 10px" >
		<ol class="breadcrumb" style="background-color: rgba(0,0,0,0); margin-bottom:0px">
			<li class="breadcrumb-item"><a href="?pg=home">Home</a></li>
			<li class="breadcrumb-item active" aria-current="page"><a href="?pg=agenda">Agenda</a></li>
			<li class="breadcrumb-item active" aria-current="page">Detalle</li>
		</ol>
	</nav>
	
	<div class="card" style="margin-bottom: 15px">

        <div class="card-body">
      
            <form action="" method="post" enctype="multipart/form-data">
                <div class="row">
                
                    <input type="hidden" name="id_registro" value="<?php echo $id; ?>">

                    <div class="col-md-12 item_input">
                        <label class="ti_label">Actividad</label>
						<input type="text" class="form-control" name="actividad" required value="<?php echo $data["actividad"]; ?>"> 
                    </div>
                    
                    
                    <div class="col-md-12 item_input">
                        <label class="ti_label">Expositores</label>
						<input type="text" class="form-control" name="exponentes" value="<?php echo $data["exponentes"]; ?>"> 
                    </div>
                    
                    <div class="col-md-12 item_input">
                        <label class="ti_label">Participantes</label>
						<input type="text" class="form-control" name="participantes"  value="<?php echo $data["participantes"]; ?>"> 
                    </div>
					
					<div class="col-md-4 item_input">
                        <label class="ti_label">Fecha</label>
						<input type="date" class="form-control" name="fecha" required value="<?php echo $data["fecha"]; ?>"> 
                    </div>
					
					<div class="col-md-4 item_input">
                        <label class="ti_label">Día</label>
						<input type="text" class="form-control" name="dia" required value="<?php echo $data["dia"]; ?>"> 
                    </div>
					
					<div class="col-md-4 item_input">
                        <label class="ti_label">Hora Inicia</label>
						<input type="time" class="form-control" name="hora_inicia" required value="<?php echo $data["hora_inicia"]; ?>"> 
                    </div>
					
					<div class="col-md-4 item_input">
                        <label class="ti_label">Hora Termina</label>
						<input type="time" class="form-control" name="hora_termina" required value="<?php echo $data["hora_termina"]; ?>"> 
                    </div>
					
					<div class="col-md-4 item_input">
                        <label class="ti_label">Estado</label>
                        <select class="form-control" name="estado" required>
                            <option value="">Selecciona...</option>
                            <?php
                                foreach($Array_Estado as $estado){
									if($estado[0] == $data["estado"]){
										echo '<option value="'.$estado[0].'" selected="selected">'.$estado[1].'</option>';
									}
									else{
										echo '<option value="'.$estado[0].'">'.$estado[1].'</option>';
									}
								}
                            ?>
                        </select>
                    </div>
                    
                    <div class="col-md-4 item_input">
                        <label class="ti_label">Tipo</label>
                        <select class="form-control" name="tipo" required>
                            <option value="">Selecciona...</option>
                            <?php
                                foreach($Array_Tipo_Agenda as $estado){
									if($estado[0] == $data["tipo"]){
										echo '<option value="'.$estado[0].'" selected="selected">'.$estado[1].'</option>';
									}
									else{
										echo '<option value="'.$estado[0].'">'.$estado[1].'</option>';
									}
								}
                            ?>
                        </select>
                    </div>
                    
                    <div class="col-md-12 item_input">
                        <label class="ti_label">Evidencia</label>
						<input type="text" class="form-control" name="evidencias" value="<?php echo $data["evidencias"]; ?>"> 
                    </div>

                   <div class="col-md-12" style="margin-top: 15px; text-align: left;">
                        <button type="submit" class="btn btn-success btn-block" style="border-radius: 30px;">Guardar</button>
                    </div>
                            
                </div>
            </form>
    
        </div>
    </div>
	
	
	<div class="card" style="margin-bottom: 15px">

        <div class="card-body">
      
            <form action="" method="post">
                <div class="row">
                
					<input type="hidden" name="id_registro" value="<?php echo $id; ?>">

					<div class="col-md-12 item_input">
                        <label class="ti_label">Conferencia</label>
                        <select class="form-control" name="conferencista" required>
                            <option value="">Selecciona...</option>
                            <?php
								$queryConf = mysqli_query($connect,"SELECT * FROM Conferencistas  ORDER BY id ASC ");
								while($dataConf = mysqli_fetch_array($queryConf)){
									echo '<option value="'.$dataConf["id"].'">'.$dataConf["nombre"].'</option>';
								}
                            ?>
                        </select>
					</div>

					<div class="col-md-12" style="margin-top: 15px; text-align: left;">
                        <button type="submit" class="btn btn-success btn-block" style="border-radius: 30px;">Guardar</button>
                    </div>
                            
                </div>
            </form>
    
        </div>
    </div>
	
	<div class="card" style="margin-bottom: 15px">

        <div class="card-body">
			<table class="table table-bordered">
				<thead class="thead-dark">
				<tr>
					<th scope="col" width="15">#</th>
					<th scope="col" width="150">Foto</th>
					<th scope="col">Conferencista </th>
					<th scope="col" width="100"></th>
				</tr>
				</thead>

				<tbody id="tabla_lista">
				<?php
					$lista_part = json_decode($data["conferencistas"]);
					foreach( $lista_part as $conf ){
						$queryConf = mysqli_query($connect,"SELECT * FROM Conferencistas WHERE id = '".$conf."' ");
						$dataConf = mysqli_fetch_array($queryConf);
						echo '
						<tr>
							<th scope="row">'.$count.'</th>
							<td><img src="'.$recursos_plubico.'/'.$dataConf["foto"].'" width="100%" />   </td>
							<td>'.$dataConf["nombre"].'</td>
							<td>
								<button type="button" class="btn btn-danger btn-sm"  onclick="Eliminar('.$dataConf["id"].')">
									<i class="fa fa-times"></i>
								</button>
							</td>
						</tr>
						';
					}

				?>
				</tbody>
			</table>

        </div>
    </div>
	
	

</div>





<style>
.item_input{
	margin-bottom:15px;
}
</style>



<script>
$( document ).ready(function() {
    $("#bt_sala").addClass( "btn-primary" );
});
	
var api = '<?php echo $api; ?>';

var activar = false;
function Eliminar(id){
	if(activar == false){
		$("#modal_body").html('Estas a punto de eliminar un expositor de esta actividad, esta acción es irreversible ¿Estás seguro?<br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-danger" style="margin-right: 10px;" onclick="activar = true; Eliminar('+id+')">Eliminar</button>');
		$("#modal_general").modal('show');
	}
	else{
	
		jQuery.ajax({
			url: api+"quitar_speaker_lista.php",
			type:'post',
			data: {id: <?php echo $id; ?>, conferencista:id, url:"?pg=agenda/detalle&id=<?php echo $id; ?>"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
}
</script>